notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)

/commits.php is going away

I'm proposing to take /commits.php away - it mainly duplicates the home page. Details in this GitHub issue.
Port details
libxul19 Mozilla runtime package that can be used to bootstrap XUL+XPCOM apps
1.9.2.28_1 www Deleted on this many watch lists=0 search for ports that depend on this port This port version is marked as vulnerable. Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout 1.9.2.28_1Version of this port present on the latest quarterly branch.
Maintainer: gecko@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2012-09-10 19:20:02
Last Update: 2013-06-15 11:10:35
SVN Revision: 320984
Also Listed In: devel
License: not specified in port
Description:
SVNWeb : git : Homepage
pkg-plist: as obtained via: make generate-plist
There is no configure plist information for this port.
Dependency lines:
  • libxul>0:www/libxul19
No installation instructions: this port has been deleted.
The package name of this deleted port was: libxul19
PKGNAME: libxul
Flavors: there is no flavor information for this port.
distinfo:
There is no distinfo for this port.
No package information for this port in our database
Sometimes this happens. Not all ports have packages.

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. nspr>=4.8.6 : devel/nspr
  2. nss>=3.13.6_1 : security/nss
  3. zip : archivers/zip
  4. gmake : devel/gmake
  5. printproto.pc : x11/printproto
  6. sm.pc : x11/libSM
  7. xt.pc : x11-toolkits/libXt
  8. xi.pc : x11/libXi
  9. xext.pc : x11/libXext
  10. x11.pc : x11/libX11
  11. xinerama.pc : x11/libXinerama
  12. ice.pc : x11/libICE
  13. xproto.pc : x11/xproto
  14. perl5.14.2 : lang/perl5.14
  15. autoconf-2.13 : devel/autoconf213
  16. update-desktop-database : devel/desktop-file-utils
  17. intltool-extract : textproc/intltool
Runtime dependencies:
  1. zip : archivers/zip
  2. sm.pc : x11/libSM
  3. xt.pc : x11-toolkits/libXt
  4. xi.pc : x11/libXi
  5. xext.pc : x11/libXext
  6. x11.pc : x11/libX11
  7. xinerama.pc : x11/libXinerama
  8. ice.pc : x11/libICE
  9. xproto.pc : x11/xproto
  10. update-desktop-database : devel/desktop-file-utils
  11. libgiofam.so : devel/gio-fam-backend
Library dependencies:
  1. cairo : graphics/cairo
  2. hunspell-1.3 : textproc/hunspell
  3. jpeg : graphics/jpeg
  4. nspr4 : devel/nspr
  5. nss3 : security/nss
  6. png15 : graphics/png
  7. sqlite3 : databases/sqlite3
  8. dbus-glib-1.2 : devel/dbus-glib
  9. notify.4 : devel/libnotify
  10. startup-notification-1.0 : x11/startup-notification
  11. iconv.3 : converters/libiconv
  12. glib-2.0 : devel/glib20
  13. pcre : devel/pcre
  14. atk-1.0.0 : accessibility/atk
  15. gtk-x11-2.0.0 : x11-toolkits/gtk20
  16. IDL-2.0 : devel/libIDL
  17. pango-1.0.0 : x11-toolkits/pango
NOTE: dependencies for deleted ports are notoriously suspect
This port is required by:
for Build

Deleted ports which required this port:

Expand this list of 1 deleted port
  1. mail/firetray*
  2. Collapse this list of deleted ports.
for Run

Deleted ports which required this port:

Expand this list of 1 deleted port
  1. mail/firetray*
  2. Collapse this list of deleted ports.
* - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...

Configuration Options:
Options name:
FreshPorts was unable to extract/find any pkg message
Master Sites:
Expand this list (18 items)
Collapse this list.
  1. ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/
  2. ftp://ftp.fh-wolfenbuettel.de/pub/www/mozilla/firefox/releases/3.6.28/source/
  3. ftp://ftp.informatik.rwth-aachen.de/pub/mirror/ftp.mozilla.org/pub/firefox/releases/3.6.28/source/
  4. ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/3.6.28/source/
  5. http://ftp.acc.umu.se/pub/mozilla.org/firefox/releases/3.6.28/source/
  6. http://ftp.twaren.net/Unix/Mozilla/firefox/releases/3.6.28/source/
  7. http://jp-nii01.mozilla.org/pub/mozilla.org/firefox/releases/3.6.28/source/
  8. http://jp-nii02.mozilla.org/pub/mozilla.org/firefox/releases/3.6.28/source/
  9. http://kyoto-mz-dl.sinet.ad.jp/pub/mozilla.org/firefox/releases/3.6.28/source/
  10. http://mirror.internode.on.net/pub/mozilla/firefox/releases/3.6.28/source/
  11. http://mirror3.mirrors.tds.net/pub/mozilla.org/firefox/releases/3.6.28/source/
  12. http://mozilla.c3sl.ufpr.br/releases/firefox/releases/3.6.28/source/
  13. http://mozilla.isc.org/pub/mozilla.org/firefox/releases/3.6.28/source/
  14. http://mozilla.mtk.nao.ac.jp/pub/mozilla.org/firefox/releases/3.6.28/source/
  15. http://releases.mozilla.org/pub/mozilla.org/firefox/releases/3.6.28/source/
  16. http://ring.nict.go.jp/archives/net/www/mozilla/firefox/releases/3.6.28/source/
  17. http://www.gtlib.gatech.edu/pub/mozilla.org/firefox/releases/3.6.28/source/
  18. https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/3.6.28/source/
Collapse this list.
Port Moves
  • port moved to www/libxul on 2013-06-15
    REASON: Has been vulnerable for a long time, unsupported upstream

Number of commits found: 6

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
15 Jun 2013 11:10:35
Original commit files touched by this commit Revision:320984  1.9.2.28_1 This port version is marked as vulnerable.
flo search for other commits by this committer
- Remove www/libxul19, is has been vulnerable and unsupported upstream for
  quite some time.
- Switch all remaining consumers to depend on www/libxul
- Mark ports that don't work with the new libxul BROKEN
- Mark some old ports DEPRECATED with a reasonable timeout

Approved by:	portmgr (miwi)
03 Apr 2013 20:27:48
Original commit files touched by this commit Revision:315713  1.9.2.28_1 This port version is marked as vulnerable.
flo search for other commits by this committer
- update thunderbird, firefox-esr, linux-thunderbird and linux-firefox to
  17.0.5
- update firefox to 20.0
- update seamonkey and linux-seamonkey to 2.17
- update nspr to 4.9.6
- remove mail/thunderbird-esr, Mozilla stopped providing 2 versions of
  thunderbird
- prune support for old FreeBSD versions; users of 8.2, 7.4 or earlier
  are advised to upgrade - http://www.freebsd.org/security/
- add vuln.xml entry

Security:	94976433-9c74-11e2-a9fc-d43d7e0c7c02
Approved by:	portmgr (miwi)
In collaboration with:	Jan Beich <jbeich@tormail.org>
19 Feb 2013 23:53:08
Original commit files touched by this commit Revision:312608  1.9.2.28_1 This port version is marked as vulnerable.
flo search for other commits by this committer
- update firefox to 19.0
- update firefox-esr, thunderbird, linux-firefox, linux-thunderbird to 17.0.3
- update linux-seamonkey to 2.16
- update nspr to 4.9.5
- update nss to 3.14.3
- add DuckDuckGo search plugin to firefox [1]
- mark kompozer deprecated
- clang fixes for www/libxul19 [2]

Security:	http://www.vuxml.org/freebsd/e3f0374a-7ad6-11e2-84cd-d43d7e0c7c02.html
Submitted by:	DuckDuckGo [1], dim [2]
In collaboration with:	Jan Beich <jbeich@tormail.org>
10 Oct 2012 21:13:07
Original commit files touched by this commit Revision:305684  1.9.2.28_1 This port version is marked as vulnerable.
flo search for other commits by this committer
- Update firefox-esr, thunderbird-esr, linux-firefox and linux-thunderbird to
10.0.8
- Update firefox and thunderbird to 16.0
- Update seamonkey to 2.13
- Update all -i18n ports respectively
- switch firefox 16.0 and seamonkey 2.13 to ALSA by default for better
  latency during pause and seeking with HTML5 video
- remove fedisableexcept() hacks, obsolete since FreeBSD 4.0
- support system hunspell dictionaries [1]
- unbreak -esr ports with clang3.2 [2]
- unbreak nss build when CC contains full path [3]
- remove GNOME option grouping [4]
- integrate enigmail into thunderbird/seamonkey as an option [5]
- remove mail/enigmail* [6]
- enable ENIGMAIL, LIGHTNING and GIO options by default
- add more reporters in about:memory: page-faults-hard, page-faults-soft,
(Only the first 15 lines of the commit message are shown above View all of this commit message)
09 Oct 2012 22:12:14
Original commit files touched by this commit Revision:305610  1.9.2.28_1 This port version is marked as vulnerable.
linimon search for other commits by this committer
Force numerous ports that fail to build with clang over to instead always
rely on gcc.  The patch uses the new USE_GCC=any code in Mk/bsd.gcc.mk to
accomplish this.

The ports chosen were ports that blocked 2 or more ports from building with
clang.  (There are several hundred other ports that still fail to build with
clang, even with this patch.  This is merely one step along the way.)

Those interested in fixing these ports with clang, and have clang as their
default compiler, can simply set FORCE_BASE_CC_FOR_TESTING=yes.

For those who have gcc as their default compiler, this change is believed
to cause no change.

Hat:		portmgr
Tested with:	multiple runs on amd64-8-exp-bcm and 9-exp-clang, with various
		combinations of patch/no-patch and flag settings.
10 Sep 2012 19:19:33
Original commit files touched by this commit Revision:304053  1.9.2.28_1 This port version is marked as vulnerable.
beat search for other commits by this committer
- Move libxul 1.9.2 to www/libxul19
- Update www/libxul to 10.0.7
- Update all dependent ports to use www/libxul19 (no functional changes)
- Bump PORTREVISION on ports where libxul is a run dependency as the
  resulting package will change.

Submitted by:	Jan Beich <jbeich@tormail.org>
With hat:	gecko

Number of commits found: 6